Skip to main content
Weavr API
Correspondent bank transfers

Create a correspondent bank transfer

POST/correspondent_bank_transfers

Creates an outgoing wire transfer on behalf of an originator (correspondent banking).

This endpoint is designed for correspondent banking use cases where a financial institution initiates a wire transfer on behalf of another party (the originator).

The Outgoing Wire Transfer Profile (configured in the Multi Portal) specified determines the behavior and restrictions of the transaction (for example, fees).

Request

Available on
SandboxProduction

Header parameters

Request body

*
application/json
{}
CorrespondentBankingOwtCreateRequestCorrespondentBankingOwtCreateRequest · object · 10 fields

Responses

200OK

Success

Headers
Body
application/json
{}
CorrespondentBankingOwtCorrespondentBankingOwt · object · 15 fields
Response example
{  "id": "123456789",  "profileId": "10001",  "tag": "customer-123",  "sourceInstrument": {    "type": "managed_accounts",    "id": "123456789"  },  "amount": {    "currency": "GBP",    "amount": 1250  },  "originator": {    "tag": "customer-123",    "name": "Alex Smith",    "address": "1 High Street, London W1A 1AA",    "country": "GB",    "bankAccountDetails": {      "account": "GB29NWBK60161331926819",      "financialInstitution": "NWBKGB2L"    },    "supplementaryInformation": {      "documentType": "NATIONAL_ID",      "documentNumber": "123456789"    }  },  "beneficiary": {    "name": "Alex Smith",    "iban": "GB29NWBK60161331926819",    "bankIdentifierCode": "NWBKGB2L",    "address": "1 High Street, London W1A 1AA",    "bankName": "National Westminster Bank PLC",    "bankAddress": "250 Bishopsgate, London EC2M 4AA",    "bankCountry": "GB",    "nationality": "GB",    "dateOfBirth": "1990-01-01"  },  "purpose": "Invoice payment",  "description": "Invoice 1042",  "externalData": [    {      "name": "invoiceNumber",      "value": "INV-1042"    }  ],  "state": "INVALID",  "creationTimestamp": 1786118400000,  "scheduledTimestamp": "1786118400000",  "cancellationReason": "Payment no longer required",  "validationOutcomes": [    {      "category": "SEPA_VERIFICATION_OF_PAYEE",      "categoryResult": {        "match": "MATCH",        "accountName": "Alex Smith"      }    }  ]}